Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::MouseShowElementInfos Class Reference

`#include <MouseShowElementInfos.h>`

Inheritance diagram for tlp::MouseShowElementInfos:
[legend]
Collaboration diagram for tlp::MouseShowElementInfos:
[legend]

List of all members.

## Public Member Functions

- ~MouseShowElementInfos ()
- bool eventFilter (QObject *widget, QEvent *e)
- InteractorComponent * clone ()

## Detailed Description

We define a specific interactor to show element graph infos in eltProperties

## Constructor & Destructor Documentation

tlp::MouseShowElementInfos::~MouseShowElementInfos | ( |  | ) | `[inline]`

## Member Function Documentation

InteractorComponent* tlp::MouseShowElementInfos::clone | ( |  | ) | `[virtual]`

Clone this interactor component

Implements tlp::InteractorComponent.

bool tlp::MouseShowElementInfos::eventFilter | ( | QObject * | widget,
|  | QEvent * | e
| ) |  |

Tulip Software by LaBRI Visualization Team 2001 - 2012